Name:		ttaenc
Version:	3.4.1
Release:	%mkrel 10
Summary:	The True Audio (TTA) Codec Lossless audio compressor
License:	GPLv2
Group:		Sound/Editors and Converters
URL:		https://sourceforge.net/projects/tta/
Source:		https://sourceforge.net/projects/tta/files/tta/ttaenc-src/%{name}-%{version}-src.tgz
Patch0:		ttaenc-3.4.1-mdv-src-shntool.patch
Patch1:		ttaenc-3.4.1-mga-Honor-user-C-XX-FLAGS.patch
Patch2:		ttaenc-3.4.1-static_inline.patch


%description
TTA performs Lossless compression on multichannel 8,16 and 24 bits
data of the Wav audio files. Being "lossless" means that no data-
quality is lost in the compression - when uncompressed, the data will
be identical to the original. The compression ratios of TTA depend on
the type of music file being compressed, but the compression size
will generally range between 30% - 70% of the original. TTA format
supports both of ID3v1/v2 and APEv2 tags. Detailed format description
is available at http://tta.sourceforge.net

This version is patched with shntool patch.

%prep
%setup -q -n %{name}-%{version}-src
%autopatch -p1

# disable sse flags on arm/aarch64
%ifarch %{arm} aarch64
sed -i -e 's| -msse||' Makefile
%endif

%build
%set_build_flags
%make_build

%install
%make_install

%files
%doc COPYING README
%{_bindir}/%{name}


%changelog
* Wed Jul 22 2020 daviddavid <daviddavid> 3.4.1-10.mga8
+ Revision: 1607837
- add patch to fix build with gcc10
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 3.4.1-9.mga8
+ Revision: 1517497
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 3.4.1-8.mga7
+ Revision: 1301466
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 3.4.1-7.mga7
+ Revision: 1242840
- disable -msse also on aarch64

* Sat Aug 26 2017 daviddavid <daviddavid> 3.4.1-6.mga7
+ Revision: 1147950
- fix build using ours compile flags
- add patch to honor user C(XX)-FLAGS

* Fri Feb 05 2016 daviddavid <daviddavid> 3.4.1-5.mga6
+ Revision: 936948
- disable sse flags on arm

* Thu Feb 04 2016 umeabot <umeabot> 3.4.1-4.mga6
+ Revision: 935167
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.4.1-3.mga5
+ Revision: 748632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.1-2.mga5
+ Revision: 689965
- Mageia 5 Mass Rebuild

* Sat Mar 01 2014 david-david <david-david> 3.4.1-1.mga5
+ Revision: 598476
- imported package ttaenc

